Get the deployment-managed identity and provisioning status
curl --request GET \
--url https://harness.example.com/admin/identity/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/identity/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/identity/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"auth_mode": "password",
"scim": {
"configured": true,
"group_role_mappings": {}
}
}User management
Get the deployment-managed identity and provisioning status
Returns non-secret OIDC mode and SCIM configuration metadata. Credential values are never returned.
GET
/
admin
/
identity
/
status
Get the deployment-managed identity and provisioning status
curl --request GET \
--url https://harness.example.com/admin/identity/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/identity/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/identity/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"auth_mode": "password",
"scim": {
"configured": true,
"group_role_mappings": {}
}
}Authorizations
oauthDevicedashboardSession
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
